Create an API key
Requires Clerk JWT authentication. Returns the raw key once — store it securely.
POST
/api-keys
Requires Clerk JWT authentication. Returns the raw key once — store it securely.
Authentication
Bearer Token
Request Body
application/jsonunknown
Responses
201
API key created
No response body
401
Unauthorized
curl -X POST 'https://shopsniffer.com/api/api-keys' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d 'null'
const response = await fetch('https://shopsniffer.com/api/api-keys', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify(null)});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://shopsniffer.com/api/api-keys', headers=headers, json=null)print(response.json())
API Playground
Try this endpoint
POST
/api-keys